## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         forgeurl https://gitlab.gnome.org/jwestman/blueprint-compiler

Name:           blueprint-compiler
Version:        0.6.0
Release:        %autorelease
Summary:        A markup language for GTK user interfaces

%global         tag v%{version}
%forgemeta

License:        LGPL-3.0-or-later
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildArch:      noarch

BuildRequires:  meson
BuildRequires:  gtk4-devel
BuildRequires:  python3-devel
BuildRequires:  python3-gobject-devel

Requires:       python3-gobject-devel

%description
GtkBuilder XML format is quite verbose, and many app developers don't like
using WYSIWYG editors for creating UIs. Blueprint files are intended to be a
concise, easy-to-read format that makes it easier to create and edit GTK UIs.
Internally, it compiles to GtkBuilder XML as part of an app's build system. It
adds no new features, just makes the features that exist more accessible.
Another goal is to have excellent developer tooling--including a language
server--so that less knowledge of the format is required. Hopefully this will
increase adoption of cool advanced features like GtkExpression.


%prep
%forgeautosetup


%build
%meson
%meson_build


%install
%meson_install


%check
%meson_test


%files
%license COPYING
%doc README.md docs/*.rst
%{_bindir}/%{name}
%{python3_sitelib}/blueprintcompiler
%{_datadir}/pkgconfig/%{name}.pc


%changelog
* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Nov 27 2022 Lyes Saadi <lyessaadi@fedoraproject.org> 0.6.0-1
- Updating to 0.6.0

* Tue Sep 13 2022 Lyes Saadi <lyessaadi@fedoraproject.org> 0.4.0-1
- Updating to 0.4.0

* Mon Aug 22 2022 Lyes Saadi <lyessaadi@fedoraproject.org> 0.2.0-1
- Initial import
